localStorage.RankingExp = (localStorage.RankingExp || "");
localStorage.RankingPuntos = (localStorage.RankingPuntos || "");
localStorage.RankingPregContes = (localStorage.RankingPregContes || "");
localStorage.RankingPregCorrec = (localStorage.RankingPregCorrec || "");
localStorage.RankingPregIncorrec = (localStorage.RankingPregIncorrec || "");
localStorage.RankingPregSaltadas = (localStorage.RankingPregSaltadas || "");
localStorage.RankingNivel = (localStorage.RankingNivel || "");
localStorage.RankingPtsClasificacion = (localStorage.RankingPtsClasificacion || "");
localStorage.ImgLogro = (localStorage.ImgLogro || 0);
var Data;
var NumActExp = 0;
var NumTotalPregEn = 0;
var NumActToPts = 0;
//Registro de nuevo usuario
function Validar_Nombre(Nombre) {
   var re = /^[a-zA-Z0-9:_\.\*-\[\]]+$/; 
   var m;
   if ((m = re.exec(Nombre)) != null) {
      return true;
   }else{
      return false;
   }
}
function Registrar_Nuevo_User () {
  var Usuario = $("#User").val();
  var Contr = $("#Password").val();
  var Email = $("#Correo").val();
  var SelPais = $("#select_pais").val();
  var NombrePais = $("#select_pais option:selected").text();
  $(".mod").fadeIn(500);
  $.ajax({
      url : 'http://appjtri.esy.es/Registrar.php',
      dataType : 'jsonp',
      data : {User : Usuario,Pw : Contr,Correo : Email,NumPais : SelPais,NomPais : NombrePais},
      success: function (smg) {
        console.log(smg);
        setTimeout(function e () {
          $(".mod").fadeOut(0);
          if (smg["Estatus"] == 0) {
            $("#Alert_Modal_Ok").css("display","none");
            $("#Alert_Modal_Error").html("El nombre de usuario ya se encuentra registrado");
            $("#Alert_Modal_Error").slideDown();
            $("#Input_User").removeClass("has-success");
            $("#Input_User").addClass("has-error");
          };
          if (smg["Estatus"] == 1) {
            $("#TextEsta").html("Usuario Registrado");
            $("#EstaEnv").css("display","none");
            $("#EstaEnv").find("i").removeClass("fa-spin");
            $("#EstaAct").css("display","block");
            localStorage.NombreUsuario = Usuario;
            localStorage.ImgPais = SelPais;
            localStorage.NomPais = NombrePais;
            $("#info-new-cuenta").css("display","none");
            ResumenEstadisticas();
            $("#data-info-user").css("display","block");
            if (localStorage.NombreUsuario == "") {
              $("#info-new-cuenta").css("display","block");
            }else{
              $("#data-info-user").css("display","block");
            }
            localStorage.TotalPreguntas = 0;//Total de preguntas hechas
            localStorage.Contestadas = 0;//Total de Preguntas contestadas 
            localStorage.PreguntasCorrectas = 0;//Total de Preguntas contestadas de forma correcta
            localStorage.PreguntasIncorrectas =  0;//TotalPreguntas contestadas de forma incorrecta
            localStorage.PreguntasSaltadas = 0;//Total de preguntas saltadas
            localStorage.PuntosTotales = 0;//Total de puntos acumulados
            localStorage.PuntosLive = 0;//Maximo de puntos por vida
            localStorage.Nivel = 0;//Nivel actual
            localStorage.Preguntas = "";//El numero de la preguntas que se an hecho
            localStorage.MaxResCorretas = 0;//El numero maximo de preuntas contestadas de manera seguida sin perder una vida
            localStorage.PuntNivelActual = 0;
            localStorage.Experiencia = 0;           
            localStorage.ImgLogro = 0;
            localStorage.PtsClasificacion = 0;
            localStorage.PtsLogro = 0;
            Guardar_Datos();
            $("#myModal").modal('hide');
            setTimeout(function e () {
              $(".mod").fadeOut(400);
            },2200);
          }

          if (smg["Estatus"] == 20) {
            $("#Alert_Modal_Ok").css("display","none");
            $("#Alert_Modal_Error").html("La dirección de Correo ya se encuentra registrada");
            $("#Alert_Modal_Error").slideDown();
            $("#Input_User").removeClass("has-success");
            $("#Input_User").addClass("has-error");
          };

          $("#EstaEnv").find("i").removeClass("fa-spin");
        },2000);
      },
      timeout: 25000,
      error: function  () {
        $(".mod").fadeOut(0);
        $("#Alert_Modal_Ok").css("display","none");
        $("#Alert_Modal_Error").html("Error al conectar con el servidor");
        $("#Alert_Modal_Error").slideDown();
      }
    });
}
//Manda los datos del cliente al servidors
function Guardar_Datos () {
  //Mostrar preloader
	$.ajax({
      url : 'http://appjtri.esy.es/Guardar_Estadisticas.php',
      dataType : 'jsonp',
      data : {TotPre : localStorage.TotalPreguntas,PregConte : localStorage.Contestadas,PregCorrec : localStorage.PreguntasCorrectas,PregIncorrec : localStorage.PreguntasIncorrectas,PregSaltadas : localStorage.PreguntasSaltadas,TotalPuntos : localStorage.PuntosTotales,Nivel : localStorage.Nivel,MaxResCorrec : localStorage.MaxResCorretas,PtsLvAct : localStorage.PuntNivelActual,PtsExp : localStorage.Experiencia,User : localStorage.NombreUsuario},
      success: function (smg) {
        setTimeout(function e () {
          /*if (smg["Estatus"] == 0) {
            
          };*/
          if(smg["Estatus"] == 1) {
            $("#TextEsta").html("Estadisticas Guardadas");
            $("#EstaEnv").css("display","none");
            $("#EstaEnv").find("i").removeClass("fa-spin");
            $("#EstaAct").css("display","block");
          }
          setTimeout(function e () {
            $(".mod").fadeOut(400);
          },1200);
        },2000);
      },
    timeout: 25000,
    error: function  () {
      alert("Error al conectar con el servidor");
      $(".mod").fadeOut(400);
    }
  });
}
//Trae los datos de las estadisticas
function Cargar_Datos () {
	//Trae los datos de un usuario del servidor
}
//Manda a guardar las preguntas que el usuario quiere al servidor
function FunEnviarPreguntas () {
  if (NumTotalPregEn == 0) {
    alert("No hay preguntas ara enviar");
  }else{
    var DatField = new Array();
    var TotalDat = new Array();
    $("#TableListPreguntas tr").each(function e () {
        DatField[0] = $(this).find("td:eq(0)").text();
        DatField[1] = $(this).find("td:eq(1)").text();
        DatField[2] = $(this).find("td:eq(2)").text();
        DatField[3] = $(this).find("td:eq(3)").text();
        DatField[4] = $(this).find("td:eq(4)").text();
        DatField[5] = $(this).find("td:eq(5)").text();
        DatField[6] = $(this).find("td:eq(6)").text();
        TotalDat.push(DatField);
    });
    $.ajax({
      url : 'http://appjtri.esy.es/EnviarPreguntas.php',
      dataType : 'jsonp',
      data : {Preguntas : TotalDat,User : localStorage.NombreUsuario},
      success: function (smg) {
          setTimeout(function e () {
               if (smg["Estatus"] == "1") {
                    NumTotalPregEn = 0;
                    $("#TableListPreguntas").html("");
                    $("#TextEsta").html("Preguntas enviadas<br>Gracias");
                    $("#EstaEnv").find("i").removeClass("fa-spin");
                    $("#EstaEnv").css("display","none");
                    $("#EstaAct").css("display","block");
                    setTimeout(function e () {
                        $(".mod").fadeOut(400);
                    },2000);
                }else{
            
                }
            },2000);
      },
      timeout: 25000,
      error: function  () {
        $(".mod").fadeOut(0);
        alert("Error al conectar con el servidor");
      }
    });
  }
}
//Llena las tablas con las estadisticas
function LLenar_Tabla (IdDiv,Data,Text) {
  var DataRow = Data.split("|");
  var DataField;
  var TotalR = DataRow.length-1;
  $("#"+IdDiv+"").find("div").find("table:eq(0)").html("<thead><tr><th>N</th><th>Nombre</th><th class='text-center'>Pais</th><th class='th-text'>"+Text+"</th></tr></thead>");
  for (var i = 0; i < TotalR; i++) {
    DataField = DataRow[i].split(" ");
    $("#"+IdDiv+"").find("div").find("table:eq(0)").append("<tr><td>"+DataField[0]+"</td><td>"+DataField[1]+"</td><td class='text-center'><img src='Img/Pais/c02/"+DataField[2].toLowerCase()+".png'></td><td class='th-text'>"+DataField[3]+"</td></tr>");
  };
  if (localStorage.NombreUsuario == "") {

  }else{
    DataField = DataRow[(DataRow.length-1)].split(" ");
    $("#"+IdDiv+"").find("div").find("table:eq(1)").html("<tr><td><b>"+DataField[0]+"</b></td><td><b>"+DataField[1]+"</b></td><td class='text-center'><img src='Img/Pais/c02/"+DataField[2].toLowerCase()+".png'></td><td class='th-text'><b>"+DataField[3]+"</b></td></tr>");
  } 
}
//Muestra el rankin
function MostrarRanking () {
  LLenar_Tabla("Experiencia",localStorage.RankingExp,"Experiencia");
  LLenar_Tabla("TotalPuntos",localStorage.RankingPuntos,"Puntos");
  LLenar_Tabla("PregContestadas",localStorage.RankingPregContes,"Total");
  LLenar_Tabla("PregCorrectas",localStorage.RankingPregCorrec,"Total");
  LLenar_Tabla("PregIncorrectas",localStorage.RankingPregIncorrec,"Total");
  LLenar_Tabla("PregSaltadas",localStorage.RankingPregSaltadas,"Total");
  LLenar_Tabla("Nivel",localStorage.RankingNivel,"Nivel");
  LLenar_Tabla("PtsClasificacion",localStorage.RankingPtsClasificacion,"Puntos");
}
//Agregar la nueva pregunta a la lista de preguntas
function AgregarNuevaPregunta () {
  var CategoriaPreg = $("#CategoriaPreg").val();
  var DescPregunta = $("#DescPregunta").val();
  var ResOpcA = $("#DescOpcionA").val();
  var ResOpcB = $("#DescOpcionB").val();
  var ResOpcC = $("#DescOpcionC").val();
  var ResOpcD = $("#DescOpcionD").val();
  var ResCorrecta = $("#SelecOptCorrecta").val();

  if (CategoriaPreg!== "" && DescPregunta !="" && ResOpcA != "" && ResOpcB != "" && ResOpcC && ResOpcD && ResCorrecta != "-1") {
    NumTotalPregEn++;
    $("#aler-error-modal-nw-preg").css("display","none");
    $("#TableListPreguntas").append("<tr><td style='display:none'>"+CategoriaPreg+"</td><td class='text-justify'>"+DescPregunta+"</td><td style='display:none'>"+ResOpcA+"</td><td style='display:none'>"+ResOpcB+"</td><td style='display:none'>"+ResOpcC+"</td><td style='display:none'>"+ResOpcD+"</td><td style='display:none'>"+ResCorrecta+"</td><td><i id='BtnEliminarPreg' class='btn-elP fa fa-times-circle'></i></td></tr>");
    $("#aler-ok-modal-nw-preg").slideDown();
    $("#CategoriaPreg").val("");
    $("#DescPregunta").val("");
    $("#DescOpcionA").val("");
    $("#DescOpcionB").val("");
    $("#DescOpcionC").val("");
    $("#DescOpcionD").val("");
    $("#SelecOptCorrecta").val("-1");
    $("#aler-error-modal-nw-preg").css("display","none");
    setTimeout(function e () {
      $("#aler-ok-modal-nw-preg").slideUp();
    },3000);
  }else{
    $("#aler-error-modal-nw-preg").slideDown();
  }
}
//Actualizar el ranking   PtsClasificacion
function Actualizar_Ranking () {
  $.ajax({
      url : 'http://appjtri.esy.es/Ranking.php',
      dataType : 'jsonp',
      data : {User : localStorage.NombreUsuario},
      success: function (smg) {
        localStorage.RankingExp = smg[0];
        localStorage.RankingPuntos = smg[1];
        localStorage.RankingPregContes = smg[2];
        localStorage.RankingPregCorrec = smg[3];
        localStorage.RankingPregIncorrec = smg[4];
        localStorage.RankingPregSaltadas = smg[5];
        localStorage.RankingNivel = smg[6];
        localStorage.RankingPtsClasificacion = smg[7];
        localStorage.ImgLogro = smg[8];
        localStorage.ImgPais = smg[9];
        localStorage.NomPais = smg[10];
        console.log(smg[7]);
        MostrarRanking();
        $("#TextEsta").html("Ranking Actualizado");
        $("#EstaEnv").find("i").removeClass("fa-spin");
        $("#EstaEnv").css("display","none");
        $("#EstaAct").css("display","block");
        setTimeout(function e () {
          $(".mod").fadeOut(400);
        },2000);
      },
      timeout: 25000,
      error: function e () {
        alert("Error al conectar con el servidor");
          $(".mod").fadeOut(400);
        }
    });
}
  $("#Btn_Login_Account").click(function e () {
    
  });
  //Registra un nuevo usuaario
  $("#Btn_Guardar_Usuario").click(function e () {
    var User = $("#User").val();
    var Pw = $("#Password").val();
    var Email = $("#Correo").val();
    var SelPais = $("#select_pais").val();
    if (User != "" && Pw != "" && Email != "" && SelPais != "-1") {
      if (Validar_Nombre(User)) {
         Registrar_Nuevo_User();
         $("#EstaEnv").find("i").addClass("fa-spin");
         $("#EstaAct").css("display","none");
         $("#EstaEnv").css("display","block");
         $("#TextEsta").html("Guardando Usuario");
      }else{
         alert("El nombre contiene caracteres no permitidos");
      }
    }else{
        $("#Alert_Modal_Ok").css("display","none");
        $("#Alert_Modal_Error").html("El nombre de usuario, la contraseña, el corro y el pais no pueden quedar vacios");
        $("#Alert_Modal_Error").slideDown();
    }
  });
  $("#Btn_Login").click(function e () {
     $("#myModal").modal('hide');
     $("#myModalLogin").modal('show');
  });
  $("#Btn_New_Account").click(function e () {
    $("#myModalLogin").modal('hide');
    $("#myModal").modal('show');
  });
  $("#Btn_Actualizar_Ranking").click(function e () {
    $("#EstaAct").css("display","none");
    $("#EstaEnv").css("display","block");
    $("#EstaEnv").find("i").addClass("fa-spin");
    $("#TextEsta").html("Actualizando Ranking");
    $(".mod").fadeIn(300);
    Actualizar_Ranking();
  });
  $("#Btn_Guardar_Estadisticas").click(function e () {
    if (localStorage.NombreUsuario == "") {
      $("#select_pais").css("display","none");
      $("#SpingPais").css("display","none");
      $("#myModal").modal('show');
      $("#TextSpinPais").find("i").addClass("fa-spin");
        setTimeout(function e () {
          $("#SpingPais").css("display","block");
        },400);
      setTimeout(function e () {
        $("#SpingPais").css("display","none");
        $("#TextSpinPais").find("i").removeClass("fa-spin");
        $("#select_pais").slideDown();
      },4500);
    }else{
      //Manda a guardar las estadisticas del cliente al servidor
      $("#EstaAct").css("display","none");
      $("#EstaEnv").css("display","block");
      $("#EstaEnv").find("i").addClass("fa-spin");
      $("#TextEsta").html("Guardando Estadisticas");
      $(".mod").fadeIn(300);
      Guardar_Datos();
    }
  });
  $("#BtnGuardarPregunta").click(function e () {
    AgregarNuevaPregunta();
  });
  $("#DescOpcionA").blur(function e () {
    $("#SelecOptCorrecta").find("option:eq(1)").text($(this).val());
  });
  $("#DescOpcionB").blur(function e () {
    $("#SelecOptCorrecta").find("option:eq(2)").text($(this).val());
  });
  $("#DescOpcionC").blur(function e () {
    $("#SelecOptCorrecta").find("option:eq(3)").text($(this).val());
  });
  $("#DescOpcionD").blur(function e () {
    $("#SelecOptCorrecta").find("option:eq(4)").text($(this).val());
  });
  $("#BtnEliminarPreg").live('click',function e () {
    if (confirm("¿Estas Seguro que desea eliminar?")) {
      $(this).parent().parent().remove();
      NumTotalPregEn--;
    };
  });
  $("#BtnEnviarPreguntas").click(function e () {
    if (NumTotalPregEn == 0) {
      alert("No hay preguntas para enviar");
    }else{
      $("#EstaAct").css("display","none");
      $("#EstaEnv").css("display","block");
      $("#EstaEnv").find("i").addClass("fa-spin");
      $("#TextEsta").html("Enviando Preguntas");
      $(".mod").fadeIn(300);
      FunEnviarPreguntas();
    }
  });